'use strict';

/**
 * @ngdoc overview
 * @name odooMobileDocsApp
 * @description
 * # odooMobileDocsApp
 *
 * Main module of the application.
 */
angular
  .module('odooMobileDocsApp', [
    'ngAnimate',
    'ngCookies',
    'ngResource',
    'ngRoute',
    'ngSanitize',
    'ngTouch'
  ])
  .config(function ($routeProvider) {
    $routeProvider
      .when('/', {
        templateUrl: 'views/home.html',
        controller: 'MainCtrl',
        controllerAs: 'main'
      })
      .when('/mobile', {
        templateUrl: 'views/pages/mobile/index.html',
        controller: 'MobileCtrl',
        controllerAs: 'mobile'
      })
      .when('/acerca', {
        templateUrl: 'views/pages/acerca.html',
        controller: 'AcercaCtrl',
        controllerAs: 'acerca'
      })
      .otherwise({
        redirectTo: '/'
      });
  });
